// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-analytics-dtos.proto

package com.accelfin.server.demo.analytics.dtos;

public interface FxAlertsReportResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.analytics.dtos.FxAlertsReportResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string report_id = 1;</code>
   */
  java.lang.String getReportId();
  /**
   * <code>optional string report_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getReportIdBytes();

  /**
   * <code>optional .com.accelfin.server.demo.analytics.dtos.ReportTypeDto report_type = 2;</code>
   */
  int getReportTypeValue();
  /**
   * <code>optional .com.accelfin.server.demo.analytics.dtos.ReportTypeDto report_type = 2;</code>
   */
  com.accelfin.server.demo.analytics.dtos.ReportTypeDto getReportType();

  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto range_view_prices = 3;</code>
   */
  java.util.List<com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto> 
      getRangeViewPricesList();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto range_view_prices = 3;</code>
   */
  com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto getRangeViewPrices(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto range_view_prices = 3;</code>
   */
  int getRangeViewPricesCount();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto range_view_prices = 3;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDtoOrBuilder> 
      getRangeViewPricesOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto range_view_prices = 3;</code>
   */
  com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDtoOrBuilder getRangeViewPricesOrBuilder(
      int index);

  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto main_view_prices = 4;</code>
   */
  java.util.List<com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto> 
      getMainViewPricesList();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto main_view_prices = 4;</code>
   */
  com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto getMainViewPrices(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto main_view_prices = 4;</code>
   */
  int getMainViewPricesCount();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto main_view_prices = 4;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDtoOrBuilder> 
      getMainViewPricesOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDto main_view_prices = 4;</code>
   */
  com.accelfin.server.demo.analytics.dtos.FxAlertsReportSymbolPriceDtoOrBuilder getMainViewPricesOrBuilder(
      int index);

  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto main_view_trades = 5;</code>
   */
  java.util.List<com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto> 
      getMainViewTradesList();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto main_view_trades = 5;</code>
   */
  com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto getMainViewTrades(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto main_view_trades = 5;</code>
   */
  int getMainViewTradesCount();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto main_view_trades = 5;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDtoOrBuilder> 
      getMainViewTradesOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDto main_view_trades = 5;</code>
   */
  com.accelfin.server.demo.analytics.dtos.FxAlertsReportTradeDtoOrBuilder getMainViewTradesOrBuilder(
      int index);
}
